class DisconnectDomain {
  String domain;
  int status;
  String msg;
  int startTime;
  int endTime;
  int count;

  DisconnectDomain({
    required this.domain,
    required this.status,
    required this.msg,
    required this.startTime,
    required this.endTime,
    required this.count,
  });

  factory DisconnectDomain.empty() {
    return DisconnectDomain(
      domain: '',
      status: 0,
      msg: '',
      startTime: 0,
      endTime: 0,
      count: 0,
    );
  }

  factory DisconnectDomain.fromJson(Map<String, dynamic> json) {
    return DisconnectDomain(
      domain: json['domain'],
      status: json['status'],
      msg: json['msg'],
      startTime: json['startTime'],
      endTime: json['endTime'],
      count: json['count'],
    );
  }

  Map<String, dynamic> toJson() {
    return {
      'domain': domain,
      'status': status,
      'msg': msg,
      'startTime': startTime,
      'endTime': endTime,
      'count': count,
    };
  }

  @override
  String toString() {
    return 'DisconnectDomain(domain: $domain, status: $status, msg: $msg, startTime: $startTime, endTime: $endTime, count: $count)';
  }
}
